import { ButtonProps } from "@re-flex/styled/Button";
import React, { HTMLAttributes } from "react";
import Ripple from "../Ripple";
export declare type Props = HTMLAttributes<HTMLButtonElement> & ButtonProps & {
    endIcon?: React.ReactNode;
    startIcon?: React.ReactNode;
    ripple?: typeof Ripple.defaultProps | null;
};
declare const Button: React.FC<Props>;
export default Button;
