import { Props as ChipProps } from "@re-flex/styled/Chip";
import React from "react";
import { Props as ButtonBaseProps } from "../ButtonBase";
import { Props as RippleProps } from "../Ripple";
export declare type Props = ButtonBaseProps & ChipProps & {
    ripple?: RippleProps;
    avatar?: React.ReactNode;
    icon?: React.ReactNode;
    deleteIcon?: React.ReactNode;
    selectedIcon?: React.ReactNode;
    onDelete?: React.MouseEventHandler<HTMLElement> | React.TouchEventHandler<HTMLElement>;
    onClick?: React.MouseEventHandler<HTMLElement> | React.TouchEventHandler<HTMLElement>;
    selected?: Boolean;
};
declare const Chip: React.FC<Props>;
export default Chip;
