import { useTheme, useThemingCss, } from "@re-flex/styles";
import clsx from "clsx";
import React from "react";
import { Button } from "..";
const FAB = ({ children, className, size = "md", icon, sx, ...rest }) => {
    const theme = useTheme();
    const sxClass = useThemingCss();
    return (React.createElement(Button, { className: clsx(`${theme.prefix}-btn ${theme.prefix}-fab`, className, !!sx && sxClass(sx)), actionRole: "fab", size: size, startIcon: icon, ...rest }, children));
};
export default FAB;
