import { ListItemProps as StyledListItemProps } from "@re-flex/styled/ListItem";
import { ComponentSizeMultipler } from "@re-flex/styles";
import React, { CSSProperties } from "react";
import { Props as RippleProps } from "../Ripple";
export declare type ListItemProps = StyledListItemProps & {
    title: React.ReactNode;
    description?: React.ReactNode;
    colorDepth?: "light" | "main" | "dark";
    leftItem?: React.ReactNode;
    rightItem?: React.ReactNode;
    fullWidth?: boolean;
    size?: ComponentSizeMultipler;
    button?: boolean;
    color?: "primary" | "secondary" | "error" | "warning" | "info" | "success" | string;
    rippleProps?: RippleProps;
    className?: string | string[];
    style?: CSSProperties;
};
declare const ListItem: React.FC<ListItemProps>;
export default ListItem;
