import NavigationItemBase from "@re-flex/styled/NavigationItem";
import React from "react";
import ButtonBase from "../ButtonBase";
import Text from "../Typography";
const NavigationItem = ({ icon, noLabel, children, label, activeColor = "primary", passiveColor = "text.primary", active, ...rest }) => {
    const child = label || children;
    return (React.createElement(NavigationItemBase, { component: ButtonBase, className: "reflex-navigation-item", color: active ? activeColor : passiveColor, ...rest },
        icon,
        React.createElement(Text, { className: "reflex-navigation-item-label", variant: "body1", sx: { color: "currentColor" } }, child)));
};
export default NavigationItem;
