import { StyledBoxProps } from "@re-flex/styled/Box";
import { Fade } from "@re-flex/ui";
import * as React from "react";
import { PopperProps } from "../Popper";
export interface PopoverProps<T extends React.ElementType = typeof Fade> extends Partial<PopperProps> {
    Transition?: T;
    TransitionProps?: React.ComponentPropsWithoutRef<T>;
    onClose?: () => void;
    onClosed?: () => void;
    paperProps?: StyledBoxProps;
}
declare const Popover: React.FC<PopoverProps>;
export default Popover;
