import { ColorStringPaths, ComponentSizeMultipler } from "@re-flex/styles";
import React from "react";
export declare const Track: any;
export declare const Tick: any;
export declare const TickLabel: any;
export declare const Segment: any;
export declare const Handle: any;
interface SliderProps {
    disabled?: boolean;
    color?: ColorStringPaths | string;
    size?: ComponentSizeMultipler;
    activeSize?: number;
    width?: number;
    height?: number;
    step?: number;
    min?: number;
    max?: number;
    borderRadius?: number | string;
    values?: number[];
    onChange?: (...args: number[]) => void;
    mode: "vertical" | "horizontal";
}
declare const Slider: React.FC<SliderProps>;
export default Slider;
