import StyledText from "@re-flex/styled/Typography";
import { useTheme, useThemingCss } from "@re-flex/styles";
import clsx from "clsx";
import React from "react";
const Text = ({ component = "span", className, sx, ...props }) => {
    const { prefix } = useTheme();
    const sxCss = useThemingCss();
    return (React.createElement(StyledText, { component: component, ...props, className: clsx(prefix + "-typography", className, sx && sxCss(sx)) }));
};
export default Text;
