import AvatarBase from "@re-flex/styled/Avatar";
import Text from "@re-flex/styled/Typography";
import React from "react";
const AvatarTextNormalize = (label) => label
    .split(" ")
    .filter((i) => i.length > 0)
    .reduce((b, c) => b + c[0], "");
const Avatar = ({ label = "", radius, size = "md", color = "primary.main", textColor = "#ffffff", src, icon, textVariant = "body1", showChar = 2, }) => {
    return (React.createElement(AvatarBase, { borderRadius: radius, color: color, size: size, textColor: textColor }, src ? (React.createElement("img", { alt: label, src: src })) : label ? (React.createElement(Text, { variant: textVariant, size: size, lineHeight: 1 }, AvatarTextNormalize(label).slice(0, showChar))) : icon ? (icon) : null));
};
export default Avatar;
