import React from "react";
import Table from "../../Table";
import Text from "../../Typography";
import { useDatePicker } from "../Context";
const WeekDayHeader = ({}) => {
    const { dateLists: { dayNames }, } = useDatePicker();
    return (React.createElement(Table.THead, null, dayNames.map((i, k) => (React.createElement(Table.Th, { key: k },
        React.createElement(Text, { variant: "caption", align: "center", weight: "bold" }, i))))));
};
export default WeekDayHeader;
