import { ButtonProps as ButtonRootProps } from "@re-flex/styled/Button";
import { ComponentSizeMultipler, SxType } from "@re-flex/styles";
import React from "react";
import Ripple from "../Ripple";
declare type UIFABProps = ButtonRootProps & {
    onLongPress?: () => void;
    icon?: React.ReactNode;
    size?: ComponentSizeMultipler;
    color?: "primary" | "secondary" | "error" | "warning" | "info" | "success" | string;
    variant?: "outlined" | "contained" | "text";
    ripple?: typeof Ripple.defaultProps | null;
    isImgButton?: boolean;
    sx?: SxType;
};
declare const FAB: React.FC<UIFABProps>;
export default FAB;
