import { styled } from "@re-flex/styles";
import React from "react";
const FormFieldBase = styled("div")(({ direction, theme }) => {
    return {
        position: "relative",
        display: "flex",
        alignItems: "center",
        flexWrap: "wrap",
        width: "100%",
        flexDirection: direction,
    };
});
const FormField = ({ children, direction = "row", ...props }) => {
    return React.createElement(FormFieldBase, { ...{ direction, ...props } }, children);
};
export default FormField;
