import { useThemingCss } from "@re-flex/styles";
import clsx from "clsx";
import React from "react";
const Icon = ({ children, className, sx = {}, ...props }) => {
    const sxClass = useThemingCss();
    return (React.createElement("span", { className: clsx(className, "material-icons", sx && sxClass(sx)), ...props }, children));
};
export default Icon;
