import StyledList from "@re-flex/styled/List";
import { useTheme } from "@re-flex/styles";
import clsx from "clsx";
import React from "react";
import Item from "../ListItem";
const List = ({ children, sx, className, ...rest }) => {
    const theme = useTheme();
    return (React.createElement(StyledList, { className: clsx(`${theme.prefix}-list`, className), sx: sx, ...rest }, children));
};
List.Item = Item;
export default List;
