import React from "react";
import { MenuList } from "..";
import Popover from "../Popover";
import { Grow } from "../Transitions/Grow";
const Menu = ({ listProps, children, ...popperProps }) => {
    return (React.createElement(Popover, { Transition: Grow, TransitionProps: { sx: { transformOrigin: "top" } }, ...popperProps },
        React.createElement(MenuList, { ...listProps }, children)));
};
export default Menu;
