import { NavigationItemProps } from "@re-flex/styled/NavigationItem";
import React from "react";
import { Props as ButtonBaseProps } from "../ButtonBase";
declare type Props = NavigationItemProps & {
    icon?: React.ReactNode;
    noLabel?: boolean;
    label?: string | number;
    direction?: "column" | "column-reverse" | "row" | "row-reverse";
    role?: "tab" | "bottom-navigation";
    activeColor?: ButtonBaseProps["color"];
    passiveColor?: ButtonBaseProps["color"];
    active: boolean;
};
declare const NavigationItem: React.FC<Props>;
export default NavigationItem;
