import Box from "@re-flex/styled/Box";
import { Fade } from "@re-flex/ui";
import * as React from "react";
import Popper from "../Popper";
const Popover = ({ open, onClickAway, attachTo, Transition = Fade, TransitionProps = {}, onClose, onClosed, paperProps = {}, children, ...htmlAttr }) => {
    return (React.createElement(Popper, { ...htmlAttr, open: open, attachTo: attachTo, onClickAway: onClickAway },
        React.createElement(Transition, { ...TransitionProps, in: open, duration: 350, onExit: onClose, onExited: onClosed },
            React.createElement(Box, { bgColor: "background.paper", py: 0.5, borderRadius: 0.5, boxShadow: 1, ...paperProps }, children))));
};
export default Popover;
