import { Middleware, Placement } from "@floating-ui/react-dom";
import React, { HTMLAttributes, MouseEventHandler, TouchEventHandler } from "react";
export interface PopperContentProps {
    open: boolean;
    modifiers?: Middleware[];
    placement?: Placement;
    anchor: HTMLElement;
    onClickAway?: MouseEventHandler<HTMLDivElement> | TouchEventHandler<HTMLDivElement>;
    contentProps: HTMLAttributes<HTMLDivElement>;
}
export interface PopperProps extends HTMLAttributes<HTMLDivElement> {
    disablePortal?: boolean;
    keepMounted?: boolean;
    portalContainer?: HTMLElement;
    modifiers?: Middleware[];
    placement?: Placement;
    onClickAway?: MouseEventHandler<HTMLDivElement> | TouchEventHandler<HTMLDivElement>;
    open: boolean;
    attachTo?: HTMLElement;
}
declare const Popper: React.FC<PopperProps>;
export default Popper;
