import React, { MouseEventHandler, TouchEventHandler } from "react";
interface PopupStateProps {
    trigger: React.ReactElement | (({ onClick, open, }: {
        onClick: MouseEventHandler;
        onTouchMove: TouchEventHandler;
        open: boolean | null;
    }) => void);
    children: React.ReactElement | (({ onClose, onClosed, onClickAway, attachTo, open, }: {
        onClose: () => void;
        onClickAway: () => void;
        onClosed: () => void;
        attachTo: HTMLElement | null;
        open: boolean | null;
    }) => React.ReactNode);
}
declare const PopupState: React.FC<PopupStateProps>;
export default PopupState;
