import { styled } from "@re-flex/styles";
const Th = styled("th", true)(() => ({
    MozOsxFontSmoothing: "grayscale",
    WebkitFontSmoothing: "antialiased",
    fontSize: "0.875rem",
    lineHeight: "1.375rem",
    fontWeight: 500,
    letterSpacing: "0.0071428571em",
    textDecoration: "inherit",
    textTransform: "inherit",
    textOverflow: "ellipsis",
    textAlign: "inherit",
    overflow: "hidden",
    padding: "12px 16px",
    "&.th-sorting": {
        position: "relative",
        svg: { position: "absolute", right: "16px", top: "16px" },
    },
    "&:hover .resizer": { width: "4px", backgroundColor: "rgba(0, 0, 0, 0.14)" },
    "> .resizer": {
        display: "inline-block",
        background: "blue",
        width: "10px",
        height: "100%",
        position: "absolute",
        right: "0",
        top: "0",
        transform: "translateX(50%)",
        zIndex: 1,
        touchAction: "none",
        backgroundColor: "transparent",
        "&.isResizing": { width: "4px", backgroundColor: "rgba(0, 0, 0, 0.14)" },
    },
}));
export default Th;
