import React from "react";
import TableContainer from "./Table";
import TableBody from "./TableBody";
import TableBodyCell from "./TableBodyCell";
import TableFooter from "./TableFooter";
import TableHead from "./TableHead";
import TableHeadCell from "./TableHeadCell";
import TableRow from "./TableRow";
const Table = ({ children, ...rest }) => {
    return React.createElement(TableContainer, { ...rest }, children);
};
Table.THead = TableHead;
Table.Th = TableHeadCell;
Table.TBody = TableBody;
Table.Tr = TableRow;
Table.Td = TableBodyCell;
Table.TFoot = TableFooter;
export default Table;
