import { StyledBoxProps as BoxProps } from "@re-flex/styled/Box";
import { ComponentSizeMultipler } from "@re-flex/styles";
import React from "react";
declare type Props = BoxProps & {
    label?: string;
    htmlFor?: string;
    startAdornment?: React.ReactNode;
    endAdornment?: React.ReactNode;
    isFocused?: boolean;
    isActive?: boolean;
    className?: string;
    mode?: "outlined" | "filled" | "standart";
    size?: ComponentSizeMultipler;
    error?: boolean;
    disabled?: boolean;
};
declare const FieldBase: React.FC<Props>;
export default FieldBase;
