import { ReactElement } from "react";
export interface TransitionState {
    appear: boolean;
    appearActive: boolean;
    appearDone: boolean;
    enter: boolean;
    enterActive: boolean;
    enterDone: boolean;
    exit: boolean;
    exitActive: boolean;
    exitDone: boolean;
}
export interface TransitionProps {
    children: (transitionState: TransitionState) => any;
    in?: boolean;
    appear?: boolean;
    enter?: boolean;
    exit?: boolean;
    duration?: number;
    alwaysMounted?: boolean;
    onEnter?: () => void;
    onEntering?: () => void;
    onEntered?: () => void;
    onExit?: () => void;
    onExiting?: () => void;
    onExited?: () => void;
}
declare const _default: (props: TransitionProps) => ReactElement;
export default _default;
