import { Middleware, Placement } from "@floating-ui/react-dom";
import { MouseEventHandler, TouchEventHandler } from "react";
interface PopperContentProps {
    open: boolean;
    modifiers?: Middleware[];
    placement?: Placement;
    anchor: HTMLElement;
    onClickAway?: MouseEventHandler<HTMLDivElement> | TouchEventHandler<HTMLDivElement>;
}
declare const usePopper: ({ placement, modifiers, anchor, onClickAway, open, }: PopperContentProps) => {
    x: number;
    y: number;
    reference: (node: Element | import("@floating-ui/core").VirtualElement) => void;
    floating: (node: HTMLElement) => void;
    strategy: import("@floating-ui/react-dom").Strategy;
    update: () => void;
    refs: {
        reference: import("react").MutableRefObject<Element>;
        floating: import("react").MutableRefObject<HTMLElement>;
    };
};
export default usePopper;
